import numpy as np

class PrimeData:
    def __init__(self,upbound):
        self.primeList = self.primeList(upbound)
    
    def primeList(self,upbound):
        primes = []
        for candidate in range(upbound+1):
            small_number=2
            while small_number < candidate:
                mod = candidate % small_number
                if mod == 0:
                    small_number = candidate + 1
                else:
                    small_number = small_number + 1
            if small_number == candidate:
                primes.append(candidate)
        return primes

    def primeQ(self,n):
        Q = True
        primeList = self.primeList
        for prime in primeList:
            if prime >= n:
                break
            else:
                mod = n % prime
                if mod == 0:
                    Q = False
                    break
        if Q:
            return 1
        else:
            return 0


def get_xy(prime_upbound = 12, batch_upbound = 150):
    primeData = PrimeData(prime_upbound)
    primeList = primeData.primeList

    batch = 0
    xs = []
    ys = []
    while batch < batch_upbound:
        xs2 = []
        for prime in primeList:
            a = batch % prime
            xs2.append(a)
        xs.append(xs2)
        ys.append([primeData.primeQ(batch)])
        batch = batch + 1
    x = np.array(xs)
    y = np.array(ys)
    return x, y